# Class HasWritePermissionDirective

#### Implements

- OnInit
- OnDestroy

- Defined in has-write-permission.directive.ts:20

#####
Index

### Constructors

constructor

### Properties

cdr
identifier
readonly

### Methods

ngOnDestroy
ngOnInit

##
Constructors

### constructor

- new HasWritePermissionDirective(
  authorization: AuthorizationService,
  cdr: ChangeDetectorRef,
  scope?: null | string,
  ): HasWritePermissionDirective

  #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - scope: null | string = null

  #### Returns HasWritePermissionDirective

  - Defined in has-write-permission.directive.ts:30

##
Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in has-write-permission.directive.ts:34

### identifier

identifier: string

- Defined in has-write-permission.directive.ts:25

### readonly

readonly: boolean = false

- Defined in has-write-permission.directive.ts:27

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in has-write-permission.directive.ts:53

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in has-write-permission.directive.ts:41